/***********************************************************************
*Copyright (c)2012 , 天际边工作室
*All rights reserved.
**
文件名称：	CityList.h
*摘要：		游戏城市队列类头文件
**
*修改历史：
*	版本    日期     作者     改动内容和原因
*   ----------------------------------------------------
*	1.0    2012-10-20  wstjb     基本的功能完成
***********************************************************************/

#pragma once

#include <iostream>
#include <cstring>
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "PublicFun.h"
#include "City.h"

class CityList
{

public:
	void Init(int unx,int uny,int uchoice);
	//void InitData();
	void Show();
	int KeyDown(WPARAM KeyCode);
	void GetCityName();
	void GetCityOwner();
	void GetCityOwnto();
	void GetCityNum();
	void PubInit(int choice);
	void GetCityStatue();

//private:
	 	 City city[CITYMAX];
	 	 int state;
		 char cityname[20];
		 char cityowner[10];
		 char cityownto[10];
		 char citystat[10];
		 int unx;
		 int uny;
		 int number;
		 int choice;
};
